Subject: [xmpp] 6122bis: leading and trailing whitespace

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 16 Apr 2013 17:32:21 -0600

Going through old email, I found a note to myself sent during IETF 86
about adding something to 6122bis about leading and trailing whitespace.
This must refer to handling of resourceparts (since the PRECIS
IdentifierClass does not allow spaces), and in fact I thought we had
added something about that long ago but I don't find it in 6122bis.
However, draft-ietf-precis-nickname does contain such text:

   4.  Leading and trailing whitespace (i.e., one or more instances of
       the ASCII space character at the beginning or end of a nickname)
       MUST be removed (e.g., "stpeter " is mapped to "stpeter").

It seems like good advice in general for resourceparts. Does anyone have objections to adding it?

Peter